package com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator;

import com.brilliance.isc.swift.objmtconvert.annotation.FieldDescription;
import com.brilliance.isc.swift.objmtconvert.annotation.Status;
import com.brilliance.isc.swift.objmtconvert.annotation.TagName;
import com.brilliance.isc.swift.objmtconvert.annotation.TagRegex;
import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class MT973AbsCreator extends AbsMTCreator {
    @Status("M")
    @TagName("12")
    @FieldDescription("Message Type")
    @TagRegex("3!n")
    //12
    private String messageType;
    @Status("M")
    @TagName("25")
    @FieldDescription("Account Identification")
    @TagRegex("35x")
    //25
    private String accIdentifi;

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getAccIdentifi() {
        return accIdentifi;
    }

    public void setAccIdentifi(String accIdentifi) {
        this.accIdentifi = accIdentifi;
    }

    public MT973AbsCreator(String jsonData) throws Exception {
        super(jsonData);
    }

    public MT973AbsCreator() {
        super();
    }



    public MtResult unpack() {
        return null;
    }


}
